package config

const N int = 11      //Neighborhood; common values are 7 to 21
const C int = 101     //Compression; common values are between 51 and 4001




//settings / values / numbers below usually do not need to be changed

//ideally the length of ALPHABET is prime; should not include space (including tab, newline) and cannot include , (comma) as separator for signature
const ALPHABET string = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789()[]+#_-!?%<>@.:;&/{}"


//expectedOverlapX are calculated values by auch much percent non-related Text / Sigs overlap in general
//can be generated using the getR script in the helper folder
const EXPECTED_OVERLAP_TEXT float64 = 0.190
const EXPECTED_OVERLAP_SIG float64 = 0.042